xcb_composite_redirect_subwindows(3)

NAME
xcb_composite_redirect_subwindows - Redirect all current and future children of ‘window’

SYNOPSIS
#include <xcb/composite.h>

  Request function

xcb_void_cookie_t xcb_composite_redirect_subwindows(xcb_connection_t *conn, xcb_window_t window, uint8_t update);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    The root of the heirarchy to redirect to off-screen storage.

update
    Whether contents are automatically mirrored to the parent window. If one client
        already specifies an update type of Manual, any attempt by another to specify a
        mode of Manual so will result in an Access error.

DESCRIPTION
Hierarchies starting at all current and future children of window
    will be redirected as in RedirectWindow. If update is Manual,
    then painting of the window background during window manipulation
    and ClearArea requests is inhibited.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_composite_redirect_subwindows_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from composite.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.